

local T={}
T.Base = "silence"
T.Name = "The Lodger Door"
T.ID = "silencelodge"

T.IsVersionOf = "silence"

T.Interior = {


    Lamps = {
        lodgedoorillum = {
            color = Color(255, 255, 255),
            texture = "effects/flashlight/soft",
            fov = 56,
            distance = 220,
            brightness = 0.5,
            pos = Vector(05, 650.2041015625, 58),
            ang = Angle(0, -90, 0),
            shadows = false,
            nopower = true,
            warn = {
                -- same list of options available
                sprite_brightness = 0.5,
                color = Color(255, 255, 255),
            },
        },
    },
    Sounds={
		Door={
			open="doors/door1_move.wav",
			close="doors/wood_stop1.wav",
        },
    },
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(0, 480.5, 55),
        ang = Angle(-0, -90, 0),
        width = 47.76,
        height = 98.95,
        thickness = 22,
        exit_point_offset = {
			pos = Vector(0,9.73,-0.9),
			ang = Angle(0, 0, 0),
		},
        inverted = 0,
    },
    Fallback = {
        pos = Vector(0, 467, 6),
        ang = Angle(0, 0, 0)

    },
    Parts = {
		door={
            Model="models/FuzzyLeo/Silence/LodgerDoor.mdl",
			posoffset=Vector(-4.65, 0, -49.38),
		},
        silence_doorhitbox            =   false,
        silence_doorframelodge            =   {},
        silence_doorframe            =   false,
    },
    PartTips = {

        silence_doorhitbox            =   false,


    },
}

T.Exterior = {
    Model="models/FuzzyLeo/Silence/LodgerFrame.mdl",
    DoorAnimationTime = 0.4,
    Parts = {
        door = {
            Model="models/FuzzyLeo/Silence/LodgerDoor.mdl",
            posoffset=Vector(-5, 0, -48.5)
        },
        vortex = {
            model = "models/doctorwho1200/copper/2010timevortex.mdl",
            pos = Vector(0,0,50),
            ang = Angle(0,0,0),
            scale =10
        },
    },
    Fallback = {
        pos = Vector(25,0,1),
        ang = Angle(0,0,0)
    },
    ScannerOffset = Vector(40,0,50),
    Sounds = {
        Teleport = {
            demat = "CoolyDude/silence_takeoff.mp3",
            mat = "CoolyDude/silence_landing_new.mp3",
            mat_fast = "ambient/machines/teleport3.wav",
            mat_damaged_fast = "p00gie/tardis/mat_damaged_fast.wav",
            fullflight = "ambient/machines/teleport3.wav",
            interrupt = "drmatt/tardis/repairfinish.wav",
        },
        Door={
			enabled=true,
			open="doors/door1_move.wav",
			close="doors/wood_stop1.wav",
            locked = "drmatt/tardis/door_locked.wav"
		},
        FlightLoop = "CoolyDude/silence_test_flight_new_seamless.wav",
        FlightLoopDamaged = "drmatt/tardis/flight_loop_damaged.wav",
    },
    ProjectedLight = {
        --color = Color(r,g,b), --Base color. Will use main interior light if not set.
        --warncolor = Color(r,g,b), --Warning color. Will use main interior warn color if not set.
        brightness = 0, --Light's brightness
        vertfov = 80,
        horizfov = 50, --vertical and horizontal field of view of the light. Will default to portal height and width.
        farz = 750, --FarZ property of the light. Determines how far the light projects.]]
        offset = Vector(-16.5, 0, 40), --Offset from box origin
        texture = "effects/flashlight/square" --Texture the projected light will use. You can get these from the Lamp tool.
    },
    Light={
        enabled=false,
    },
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(5, 0, 48.5),
        ang = Angle(0, 0, 0),
        width = 50,
        height = 97,
        thickness = 0,
    },
    Teleport = {
        SequenceSpeed = 0.65,
        SequenceSpeedWarning = 1,
        SequenceSpeedFast = 20,
        SequenceSpeedWarnFast = 10,
        DematSequence = {
            200,
            100,
            150,
            0
        },
        DematSequenceDelays={
            [1] = 5
        },
        MatSequence = {
            50,
            100,
            50,
            255
        },
        MatSequenceDelays={
            [2] = 0
        },
    },
}

TARDIS:AddInterior(T)
